<div align="center">
    <h2>OpenQDA</h2>
    <p>Collaborative Qualitative Research</p>

[![Project Status: WIP – Initial development is in progress, but there has not yet been a stable, usable release suitable for the public.](https://www.repostatus.org/badges/latest/wip.svg)](https://www.repostatus.org/#wip)
![This is a research software](https://img.shields.io/badge/research-software-blue?style=plastic)
[![DOI](https://zenodo.org/badge/793524421.svg)](https://zenodo.org/doi/10.5281/zenodo.11195871)

</div>


<p align="center">

<img src="https://raw.githubusercontent.com/openqda/.github/main/profile/bg_top_left_512x512_96dpi.PNG" alt="img data collection" width="200"/>
<img src="https://raw.githubusercontent.com/openqda/.github/main/profile/bg_bottom_left_512x512_96dpi.PNG" alt="img data preparation" width="200" />
<img src="https://raw.githubusercontent.com/openqda/.github/main/profile/bg_top_right_512x512_96dpi.PNG" alt="img coding" width="200"/>
<img src="https://raw.githubusercontent.com/openqda/.github/main/profile/bg_bottom_right_512x512_96dpi.PNG" alt="img analysis" width="200"/>
</p>
<p align="center">
    <img src="https://github.com/openqda/.github/blob/main/profile/zemki-und-uni-logo-weiss-1x.png?raw=true" alt="img ZeMKI" width="200"/>
</p>

> **Important note**
>
> OpenQDA is still under development and there are many parts
> left out or still in discussion!
>
> See our [development roadmap](https://github.com/openqda/openqda/milestones)
> for ongoing and upcoming features and fixes.

## What is OpenQDA?
OpenQDA is a sustainable, free/libre Open Source Software for collaborative qualitative data analysis.

It's developed by the [ZeMKI (Centre for Media, Communication and Information Research)](https://zemki.uni-bremen.de/)
at the [University of Bremen](https://www.uni-bremen.de/).

It's publicly available under https://openqda.org and is hosted on servers,
integrated in the university's infrastructure.

> If you are a user and want to learn OpenQDA, then we advise you to read
the [user documentation](https://openqda.github.io/user-docs/).

If you are still unsure about what OpenQDA is or does, then please [consult our FAQ](https://openqda.org/faq).

### Quick links

- 🚀 Register and test it now (early access): https://openqda.org
- 📔 Read the user-docs: https://openqda.github.io/user-docs/
- 📢 Give feedback and join the discussion: https://github.com/openqda/feedback
- 📧 Contact us: [openqda@uni-bremen.de](mailto:openqda@uni-bremen.de)

### Roadmap

We are constantly updating our development roadmap in regard to the upcoming releases:

- [pre-release (31.05.2024)](https://github.com/openqda/openqda/milestone/1)
- [release 1.0 (to be announced)](https://github.com/openqda/openqda/milestone/2)

## Development

If you have reached this section, chances are high your either want one of the following:

- run OpenQDA on your own infrastructure
- understand OpenQDA or hack a local version of OpenQAD
- improve OpenQDA
- learn research software engineering with OpenQDA as an example project


### Developer Documentation

We provide an extensive developer documentation in the `/docs` folder.
Here are the quick links to the guides:

- [tech stack](./docs/TECH-STACK.md)
- [architecture overview](./docs/ARCHITECTURE.md)
- [installation guide](./docs/INSTALLATION.md)
- [core development](./docs/CORE.md)
- [plugin development](./docs/PLUGINS.md)
- [deployment guide](./docs/DEPLOYMENT.md)

## Publications

We provide a [citation file](./CITATION.cff) to enable citations of this software.
OpenQDA is entirely free, so we encourage you to

## Credits

The "aTrain" plugin for transcription is developed and licensed by Armin Haberl, Jürgen Fleiß,
Dominik Kowald, Stefan Thalmann and is published under

> Haberl, A., Fleiß, J., Kowald, D., Thalmann, S., 2023.
> “Take the aTrain. Introducing an Interface for the Accesible Transcription of Interviews.”,
> University of Graz, School of Business, Economics and Social Sciences Working Paper 2023-02.

Please note, that if you use the auto-transcription feature in OpenQDA then you must
cite their work in your publication under certain conditions.
Please [read their license](https://github.com/JuergenFleiss/aTrain/blob/main/LICENSE) for this.

## Licenses

OpenQDA is a sustainable, free/libre Open Source Software for collaborative qualitative research.
Copyright (C) 2024 ZeMKI, Universität Bremen

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published
by the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.

The core software of this project is released under the APGL-3.0 license,
which you can read in our [license file](./LICENSE).

Plugins (which includes services) may be distributed under a different license.
Please see their own license files in their respective directories
